> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stophy.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Social

> Search and read posts, profiles, and comments across Reddit, Instagram, X, LinkedIn, and eight more networks. Get replies and followers as JSON.

Search and read posts, profiles, and comments across Reddit, Instagram, X, LinkedIn, and eight more networks. Get replies and followers as JSON. See every field in the [Social reference](/api-reference/endpoint/reddit-search), or try it in the [playground](https://stophy.dev/playground).

## Search Reddit posts, comments, subreddits and users

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.reddit.search({ query: "typescript" });
  console.log(result.data.results);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.reddit.search(query="typescript")
  print(result["data"]["results"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/reddit/search \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"query":"typescript"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy reddit search typescript
  ```
</CodeGroup>

The response:

```json theme={null}
{
  "success": true,
  "data": {
    "results": [
      {
        "type": "post",
        "id": "abc123",
        "url": "https://example.com/",
        "title": "Example title",
        "text": "A short, readable summary of the result.",
        "author": {
          "id": "abc123",
          "username": "example",
          "name": "Example title",
          "url": "https://example.com/",
          "avatar": "https://example.com/image.jpg",
          "isVerified": false
        },
        "subreddit": "example",
        "score": 4.5,
        "upvotePercent": 1,
        "comments": 1,
        "createdAt": "2026-09-28T12:00:00.000Z",
        "flair": "example",
        "link": {
          "url": "https://example.com/",
          "title": "Example title",
          "description": "A short, readable summary of the result.",
          "image": "https://example.com/image.jpg"
        },
        "thumbnail": "https://example.com/image.jpg",
        "isNsfw": false,
        "isVideo": false,
        "isPinned": false,
        "images": [
          {
            "url": "https://example.com/",
            "caption": "example",
            "alt": "example"
          }
        ],
        "video": {
          "url": "https://example.com/",
          "hls": "https://example.com/",
          "durationSeconds": 120
        },
        "poll": {
          "options": [
            {
              "text": "A short, readable summary of the result.",
              "votes": 1
            }
          ],
          "totalVotes": 1234,
          "endsAt": "2026-09-28T12:00:00.000Z"
        },
        "repostOf": {
          "id": "abc123",
          "url": "https://example.com/",
          "subreddit": "example",
          "title": "Example title"
        }
      }
    ]
  },
  "creditsUsed": 2,
  "requestId": "cd4daa30-af72-4522-a14d-98fa6f73196a"
}
```

## Endpoints

| Endpoint | Cost |
| - | - |
| [Search Reddit posts, comments, subreddits and users](/api-reference/endpoint/reddit-search) | 2 credits |
| [Read a post and its comment thread](/api-reference/endpoint/reddit-post) | 2 credits |
| [Load more comments from a thread](/api-reference/endpoint/reddit-comments-more) | 2 credits |
| [Get a subreddit's info and posts](/api-reference/endpoint/reddit-subreddit) | 2 credits |
| [Get a user's posts and comments](/api-reference/endpoint/reddit-user) | 2 credits |
| [Get Reddit posts that link to a website](/api-reference/endpoint/reddit-domain) | 2 credits |
| [Get a profile's bio, stats and recent posts](/api-reference/endpoint/instagram-profile) | 1 credit |
| [Get a profile's posts and reels](/api-reference/endpoint/instagram-posts) | 1 credit per 12 items, at least 1 credit |
| [Get a post or reel, with its comments](/api-reference/endpoint/instagram-post) | 1 credit |
| [Get any Instagram profile, post or reel from its link](/api-reference/endpoint/instagram-url) | 1 credit |
| [Search Instagram posts and reels](/api-reference/endpoint/instagram-search) | 3 credits per 10 items, at least 3 credits |
| [Get the transcript of a reel or video post](/api-reference/endpoint/instagram-transcript) | 5 credits per 1 items, at least 5 credits |
| [Get a post's comments](/api-reference/endpoint/instagram-comments) | 1 credit per 15 items, at least 1 credit |
| [Get the replies to a post comment](/api-reference/endpoint/instagram-comments-replies) | 1 credit per 15 items, at least 1 credit |
| [Get a post's text, author and stats](/api-reference/endpoint/x-tweet) | 1 credit |
| [Get a profile's bio and stats](/api-reference/endpoint/threads-profile) | 1 credit |
| [Get a profile's posts](/api-reference/endpoint/threads-posts) | 1 credit per 20 items, at least 1 credit |
| [Read a post with its thread and replies](/api-reference/endpoint/threads-post) | 1 credit |
| [Search Threads posts](/api-reference/endpoint/threads-search) | 1 credit |
| [Get a profile's bio and stats](/api-reference/endpoint/bluesky-profile) | 1 credit |
| [Get a profile's posts](/api-reference/endpoint/bluesky-posts) | 1 credit per 25 items, at least 1 credit |
| [Read a post and its replies](/api-reference/endpoint/bluesky-post) | 1 credit per 50 items, at least 1 credit |
| [Get a profile's followers](/api-reference/endpoint/bluesky-followers) | 1 credit per 50 items, at least 1 credit |
| [Get a profile's bio and stats](/api-reference/endpoint/mastodon-profile) | 1 credit |
| [Get a profile's posts](/api-reference/endpoint/mastodon-posts) | 1 credit per 20 items, at least 1 credit |
| [Read a post with its thread and replies](/api-reference/endpoint/mastodon-post) | 1 credit |
| [Get posts for a hashtag](/api-reference/endpoint/mastodon-hashtag) | 1 credit per 20 items, at least 1 credit |
| [Get a public channel's info](/api-reference/endpoint/telegram-channel) | 1 credit |
| [Get a public channel's posts](/api-reference/endpoint/telegram-posts) | 1 credit per 20 items, at least 1 credit |
| [Get a single channel post](/api-reference/endpoint/telegram-post) | 1 credit |
| [Get a company's profile, size and industry](/api-reference/endpoint/linkedin-company) | 1 credit |
| [Get a person's profile](/api-reference/endpoint/linkedin-profile) | 1 credit |
| [Get a person's or company's posts](/api-reference/endpoint/linkedin-posts) | 1 credit |
| [Get a company's posts](/api-reference/endpoint/linkedin-company-posts) | 1 credit |
| [Search pins](/api-reference/endpoint/pinterest-search) | 1 credit per 25 items, at least 1 credit |
| [Get a pin's details](/api-reference/endpoint/pinterest-pin) | 1 credit |
| [Get a board and its pins](/api-reference/endpoint/pinterest-board) | 1 credit per 25 items, at least 1 credit |
| [Get a profile and its pins](/api-reference/endpoint/pinterest-user) | 1 credit per 25 items, at least 1 credit |
| [Get a blog's info](/api-reference/endpoint/tumblr-blog) | 1 credit |
| [Get a blog's posts](/api-reference/endpoint/tumblr-posts) | 1 credit per 10 items, at least 1 credit |
| [Get a single post](/api-reference/endpoint/tumblr-post) | 1 credit |
| [Search Tumblr posts](/api-reference/endpoint/tumblr-search) | 1 credit per 10 items, at least 1 credit |
| [Get a profile with its spotlights and stories](/api-reference/endpoint/snapchat-profile) | 2 credits |
| [Get a question and its answers](/api-reference/endpoint/quora-question) | 2 credits |

## More ways to call it

### Get a profile's bio, stats and recent posts

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.instagram.profile({ user: "natgeo" });
  console.log(result.data.profile);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.instagram.profile(user="natgeo")
  print(result["data"]["profile"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/instagram/profile \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"user":"natgeo"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy instagram profile natgeo
  ```
</CodeGroup>

### Get a post's text, author and stats

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.x.tweet({ tweet: "https://x.com/jack/status/20" });
  console.log(result.data.tweet);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.x.tweet(tweet="https://x.com/jack/status/20")
  print(result["data"]["tweet"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/x/tweet \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"tweet":"https://x.com/jack/status/20"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy x tweet https://x.com/jack/status/20
  ```
</CodeGroup>

### Get a person's profile

<CodeGroup>
  ```typescript TypeScript icon="https://mintcdn.com/sirathic/7E4w9-IC4ysabjfc/images/icons/typescript.svg?fit=max&auto=format&n=7E4w9-IC4ysabjfc&q=85&s=d8272a85e64145620f1fbbfcf7932986" theme={null}
  import { Stophy } from "stophy";

  const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
  const result = await stophy.linkedin.profile({ profile: "satyanadella" });
  console.log(result.data.profile);
  ```

  ```python Python icon="python" theme={null}
  from stophy import Stophy

  stophy = Stophy()  # reads STOPHY_API_KEY
  result = stophy.linkedin.profile(profile="satyanadella")
  print(result["data"]["profile"])
  ```

  ```bash cURL icon="terminal" theme={null}
  curl -X POST https://api.stophy.dev/v1/linkedin/profile \
    -H "Authorization: Bearer $STOPHY_API_KEY" \
    -H "content-type: application/json" \
    -d '{"profile":"satyanadella"}'
  ```

  ```bash CLI icon="square-terminal" theme={null}
  stophy linkedin profile satyanadella
  ```
</CodeGroup>

<Tip>Endpoints that return a list, like Reddit search and Instagram posts, page. See [Page through results](/guides/paging).</Tip>
